# Package play.mvc.results

- Exception Summary
  Exception | Description
  --- | ---
  BadRequest | 400 Bad Request
  Error | 500 Error
  Forbidden | 403 Forbidden
  NoResult |
  NotFound | 404 not found
  NotModified | 304 Not Modified
  Ok | 200 OK
  Redirect | 302 Redirect
  RedirectToStatic | 302 Redirect
  RenderBinary | 200 OK with application/octet-stream
  RenderHtml | 200 OK with a text/plain
  RenderJson | 200 OK with application/json
  RenderStatic |
  RenderTemplate | 200 OK with a template rendering
  RenderText | 200 OK with a text/plain
  RenderXml | 200 OK with a text/xml
  Result | Result support
  Status |
  Unauthorized | 401 Unauthorized
  WebSocketDisconnect |
  WebSocketResult | WebSocket Result support

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly